- Qt 6.10
- Qt 5 Core Compatibility APIs
- C++ Classes
- QTextDecoder
- Qt 6.10.2 Reference Documentation

# QTextDecoder Class

The QTextDecoder class provides a state-based decoder. More...

Header: | `#include <QTextDecoder>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core5Compat)` `target_link_libraries(mytarget PRIVATE Qt6::Core5Compat)`
qmake: | `QT += core5compat`

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QTextDecoder(const QTextCodec *codec, int flags)
| ~QTextDecoder()
QString | toUnicode(const QByteArray &ba)
void | toUnicode(QString *target, const char *chars, int len)

## Detailed Description

A text decoder converts text from an encoded text format into Unicode using a specific codec.

The decoder converts text in this format into Unicode, remembering any state that is required between calls.

See also QTextCodec::makeDecoder() and QTextEncoder.

## Member Function Documentation

### `[explicit]` QTextDecoder::QTextDecoder(const QTextCodec *codec, int flags)

Constructs a text decoder for the given codec and conversion flags.

### `[noexcept]` QTextDecoder::~QTextDecoder()

Destroys the decoder.

### QString QTextDecoder::toUnicode(const QByteArray &ba)

Converts the bytes in the byte array specified by ba to Unicode and returns the result.

This is an overloaded function.

### void QTextDecoder::toUnicode(QString *target, const char *chars, int len)

The converted string is returned in target.

This is an overloaded function.